Bug 1335573 - backport the Handle lack of diskSizeGB property in Azure for inventory collection fix
Summary: backport the Handle lack of diskSizeGB property in Azure for inventory collec...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.5.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: GA
: 5.5.5
Assignee: Daniel Berger
QA Contact: Jeff Teehan
URL:
Whiteboard:
Depends On: 1335238
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-12 14:27 UTC by John Prause
Modified: 2019-11-14 08:01 UTC (History)
7 users (show)

Fixed In Version: 5.5.5.2
Doc Type: Bug Fix
Doc Text:
Cause: It's possible to attach a data disk that doesn't actually have a size set yet. Consequence: his causes the refresher to blow up when attempting to get the disk_size_gb property on the Disk object Fix: This fix just checks for the property and, if not found, sets it to 0. Result:
Clone Of: 1335238
Environment:
Last Closed: 2016-07-26 15:34:17 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1488 normal SHIPPED_LIVE CFME 5.5.5 bug fixes and enhancement update 2016-07-26 19:28:27 UTC

Comment 5 CFME Bot 2016-06-21 17:11:50 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=33dcc5dfff7cdbdc6568d9dcbe5cba3c73c0a85b

commit 33dcc5dfff7cdbdc6568d9dcbe5cba3c73c0a85b
Merge: b4650f7 1c4d7fa
Author:     Greg Blomquist <gblomqui@redhat.com>
AuthorDate: Tue Jun 21 13:11:09 2016 -0400
Commit:     Greg Blomquist <gblomqui@redhat.com>
CommitDate: Tue Jun 21 13:11:09 2016 -0400

    Merge branch '5.5.z' into '5.5.z'
    
    Check for disk_size_gb property, and default to 0 if not found.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1335573
    
    See merge request !955

 app/models/manageiq/providers/azure/cloud_manager/refresh_parser.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 7 Jeff Teehan 2016-07-15 00:20:01 UTC
I remember this one now.  Took us a day to figure out how to make a disk with zero size.  It's not easy to do.  Verified the code is correct and checked user comment that their issue was resolved with this change.  Moving to verified using 10.16.7.61 running 5.5.5.2.20160712144556_629f93b

Comment 9 errata-xmlrpc 2016-07-26 15:34:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1488.html


Note You need to log in before you can comment on or make changes to this bug.